package com.ruoyi.model.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.model.mapper.AppPartnerdataMapper;
import com.ruoyi.model.domain.AppPartnerdata;
import com.ruoyi.model.service.IAppPartnerdataService;

/**
 * 合伙人数据Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-03-05
 */
@Service
public class AppPartnerdataServiceImpl implements IAppPartnerdataService 
{
    @Autowired
    private AppPartnerdataMapper appPartnerdataMapper;

    /**
     * 查询合伙人数据
     * 
     * @param id 合伙人数据主键
     * @return 合伙人数据
     */
    @Override
    public AppPartnerdata selectAppPartnerdataById(Long id)
    {
        return appPartnerdataMapper.selectAppPartnerdataById(id);
    }

    /**
     * 查询合伙人数据列表
     * 
     * @param appPartnerdata 合伙人数据
     * @return 合伙人数据
     */
    @Override
    public List<AppPartnerdata> selectAppPartnerdataList(AppPartnerdata appPartnerdata)
    {
        return appPartnerdataMapper.selectAppPartnerdataList(appPartnerdata);
    }

    /**
     * 新增合伙人数据
     * 
     * @param appPartnerdata 合伙人数据
     * @return 结果
     */
    @Override
    public int insertAppPartnerdata(AppPartnerdata appPartnerdata)
    {
        appPartnerdata.setCreateTime(DateUtils.getNowDate());
        return appPartnerdataMapper.insertAppPartnerdata(appPartnerdata);
    }

    /**
     * 修改合伙人数据
     * 
     * @param appPartnerdata 合伙人数据
     * @return 结果
     */
    @Override
    public int updateAppPartnerdata(AppPartnerdata appPartnerdata)
    {
        appPartnerdata.setUpdateTime(DateUtils.getNowDate());
        return appPartnerdataMapper.updateAppPartnerdata(appPartnerdata);
    }

    /**
     * 批量删除合伙人数据
     * 
     * @param ids 需要删除的合伙人数据主键
     * @return 结果
     */
    @Override
    public int deleteAppPartnerdataByIds(Long[] ids)
    {
        return appPartnerdataMapper.deleteAppPartnerdataByIds(ids);
    }

    /**
     * 删除合伙人数据信息
     * 
     * @param id 合伙人数据主键
     * @return 结果
     */
    @Override
    public int deleteAppPartnerdataById(Long id)
    {
        return appPartnerdataMapper.deleteAppPartnerdataById(id);
    }
}
